6.0.0-git
2019-08-19

[#1356] reminders too later
Summary reminders too later
Queue Kronolith
Queue Version 2.0.1
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester daniel.eckl (at) gmx (dot) de
Created 2005-02-11 (5302 days ago)
Due
Updated 2005-08-12 (5120 days ago)
Assigned 2005-04-10 (5244 days ago)
Resolved 2005-04-10 (5244 days ago)
Milestone
Patch No

History
2005-08-12 00:00:30 dewi (at) brentwood (dot) bc (dot) ca Comment #9 Reply to this comment
This does not work for recurring events.

I have a 12:00pm meeting scheduled evryday for two weeks, every day I 
get an email  reminding me about the event on the first day of the 
event happening.

I think we need to tweak the calculation of the event date somehow. I 
will also open up a new bug  concerning recurring events and 
continuous notification.
2005-04-10 15:38:18 Chuck Hagenbuch Comment #8
Summary ⇒ reminders too later
State ⇒ Resolved
Reply to this comment
It was for having an alarm for each instance of a recurring event, I 
think... I've removed it for now.
2005-04-10 09:15:16 Jan Schneider Comment #7
State ⇒ Assigned
Reply to this comment
This is indeed happening. What was the rationale behind adding $today 
in the first place?
2005-04-01 15:42:59 derek (at) battams (dot) ca Comment #6 Reply to this comment
For some reason, I wasn't receiving email notifications of updates to 
this bug.



I see you already committed the fix to CVS, but for the sake of 
completeness, I'll just add that I had to remove $today from the 
$seenid because if $today was kept in the id then the reminder would 
be sent every day leading up to the event instead of just once at the 
given alarm setting.
2005-03-19 02:47:30 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
Fixed in CVS and for 2.0.3
2005-02-26 16:18:04 Chuck Hagenbuch Comment #4
State ⇒ Feedback
Reply to this comment
Why did you remove $today from the $seenId key?
2005-02-25 01:19:59 derek (at) battams (dot) ca Comment #3
New Attachment: sql_alarm.patch Download
Reply to this comment
I've attached my patch for the SQL driver fix.  Based on my testing, 
alarms are sent at the right time instead of waiting until the day of 
the event.
2005-02-24 14:27:08 derek (at) battams (dot) ca Comment #2 Reply to this comment
I'm finding that the reminders for timed events also come late.   
Basically they don't come until the day of the event, even if, for 
example, you set the alarm for 24 or 48 hours prior to the event.



I'm currently testing a patch that sends the reminders at the right 
time.  It seems to work, but I've only patched 
kronolith/lib/Driver/sql.php since that's the backend I use.  If the 
patch indeed works as expected then perhaps I'll take a look at the 
other drivers to see if I can patch those as well.  I'll attach my 
patch once I verify it, but if someone's dying for the patch in the 
meantime I can send what I have so far.
2005-02-11 10:32:57 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-02-11 09:54:22 daniel (dot) eckl (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ reminders too late
Queue ⇒ Kronolith
Reply to this comment
When setting an alarm for an all day event and set the alarm 1 day before

event, it will come at beginning of the event.



So let's say you have an event on 15th Feb 2005 and set the alarm to 1 day

before event, then you will get the email on 15th Feb 2005 00:00 AM which is

indeed the exact start time of the event, not one minute before.

Saved Queries